DayZ Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008949DayZ Standalone[All Projects] Serverpublic2014-02-17 15:232014-09-29 12:52
ReporterBlinkingRiki182 
Assigned ToAccolyte 
PrioritynoneSeveritynoneReproducibilityalways
StatusassignedResolutionopen 
PlatformPCOSWindows 8OS Version64 bit
Product Version 
Target VersionFixed in Version 
50 vote(s) 100,00%
vote(s) 0,00%
Summary0008949: Servers are bombarding router with UDP packets once the server list is requested causing a DOS
DescriptionServers are bombarding router with UDP packets once the server list is requested causing a DOS
Steps To ReproducePrecondition:

Have several client machines connected to a standard router (like the WGR614v7).
(Machines can be running on any OS that supports DayZ SA)

1.) Open command prompt (if running windows) on a client machine and enter:

> ping -t -l 1 www.google.com

2.) Open game on the client machines and navigate to the server list
3.) Refresh server list on two of the clients
4.) Inspect the command prompt opened in step 1

Result:

Command prompt shows loss of packets.
Using a sniffer it was noted that the servers found on the server list caused an UDP flood resulting in a denial of services effect.
Additional InformationPossible solution:

Run a dedicated process on a dev-server machine that holds all the game servers in some kind of text format (the dev-server process finds and updates the game servers as the game client does right now and refreshes the information every "x" minutes) and pass the information to the game client which can process it further (represent it in GUI). Refresh button shouldn't trigger update on the whole game server list but only on the selected game server - it should trigger a direct communication b/w game client and game server (bypassing the dev-server machine).

The Friends function shouldn't be a problem if the dev-server holds all the players currently playing on all the servers.

A function should be added that allows a player to see the name and IP of the server on which he/she is currently playing.

The Remote function shouldn't just filter the requested server list with its avalable entries (which is very lazy) but should trigger a communication b/w game client and requested game server.

TagsNo tags attached.
Game Version0.34
Attached Filesjpg file icon 2014-03-07_00001.jpg (440,059 bytes) 2014-03-07 02:52
jpg file icon 2014-03-07_00002.jpg (344,846 bytes) 2014-03-07 02:53

- Relationships
has duplicate 0007153closed Connection to ANY DayZ Server Throttles/Tanks Internet Connection 
has duplicate 0009015closed Game makes my internet go on and off, happening since last update 
has duplicate 0001340closed Dayz Serverbrowser slows down internet 
has duplicate 0008885closed Massive bandwith usage 
has duplicate 0002369closed Loging on to a server causes internet to crash for several minutes 
has duplicate 0004516closed Game Demolishes internet connection. 
has duplicate 0007325closed Router gets filled and crashes. 
has duplicate 0009844closed Internet Crashes 
has duplicate 0008765closed my Router crashed when i open the serverbrowser 
has duplicate 0010241closed Loading the serverlist always results in an [UDP SYN FLOOD] block by the router firewall 
has duplicate 0010722closed Two different accounts on the same network causes internet to go out 
has duplicate 0010255closedJStewart CanĀ“t see some dayz servers - server list loading like snail 
has duplicate 0013199closed Internet disconnect while in serverbrowser 
has duplicate 0017464closedJStewart Internet FREEZES after some time of playing 
related to 0001736closedJStewart Populating server list crashes my modem 
related to 0011571closedJStewart DayZ got problems with my Fritzbox from AVM 
related to 0007960closedJStewart DayZ causing connection problems 
related to 0008002closedJStewart routerrestart/connection lost during serverjoining 
related to 0011845closedJStewart Internet completely crashes in server browser 

-  Notes
(0046589)
Accolyte (Bohemia Interactive - manager)
2014-02-19 14:03

Hi BlinkingRiki182,

thank you for your effort. We will do a thorough investigation based on your report!

Have a great day.
(0046698)
Exstinguo (reporter)
2014-02-20 20:22

Halleluja! The devs have finally heard our desperate cries for a functioning internet connection!
But seriously, thanks for looking into this issue.
(0046805)
Exstinguo (reporter)
2014-02-21 22:23
edited on: 2014-02-21 22:24

By the way, issue number 7325 (http://feedback.dayzgame.com/view.php?id=7325 [^]) also seems to be a duplicate of this bug.

(0046879)
Junnit (reporter)
2014-02-22 19:13
edited on: 2014-02-22 19:18

As the duplicates are closed, it may be useful to note in this thread that other users have had succes by disabling the firewall of their modem/router (which would mainly be the anti DDOS functionality that you are switching off...).

Furthermore, we are especially experiencing this after I turned on the IP Flood Detection on the firewall of my modem. So before switching the firewall off entirely, switch off IP Flood Detection first to see if that helps.

We now have one person looking for a server, and after joining, have the other one look in the friends tab to join, so we don't flood it entirely.

(0047541)
Jonno12321 (reporter)
2014-02-28 15:51

I have especially noticed this if I refresh the server list several times eventually I cannot find a single server and lose internet connection for several minutes.
(0048292)
olveld (reporter)
2014-03-05 21:02
edited on: 2014-03-06 10:55

i made a few tests. i reproduced the crash again and again with my fritz box 7360.
last thing i did was du dump the tcp stream , better udp stream. could this mass udp flooding kill all the routers ?

i attached an example dump.
nevertheless i opened a call at AVM asking for help.

Here is the tcpdump stream which shows the udp storm.

https://cloud.van-der-velde.net/public.php?service=files&t=ce25a7bf82761d209ecd4fc75cf11a82 [^]

Regards Oliver van der Velde

(0048308)
pcriddle (reporter)
2014-03-06 09:03
edited on: 2014-03-07 02:56

(I'm a UK Player) After the initial server list as loaded I've found that if I refresh the server list I lose all the UK server listings but gain access to all the US and Aus servers, if I refresh again I lose those and gain access once again to the UK servers.

Added a couple of screenshots.

(0048966)
olveld (reporter)
2014-03-13 15:08

After 1 week of investigating with AVM and my ISP both couldn't solve this issue. But ISP could also reproduce this behaviour but only with FB 7360. AVM still investigates.

I now found a suitable workaround which worked for me. "Just" route all traffic though a VPN, then the UDP Endpoint is not the Router, but the VPN Endpoint. I use a Linux Server which hosts a IPSEC/L2TP VPN Server.
After est. the VPN Connection from my WIN7 Machine Voila i can open Server Browser without any crash !
If someone is interested in more information contact me on twitter ( @ollinator2000 )

I will now stop any investigation about the udp Flooding and play some rounds of Dayz!!

Regards
Olli
(0049114)
Exstinguo (reporter)
2014-03-15 18:00

@olveld: Playing through a VPN is not very good ping-wise. You would have to switch to a connection without a VPN to play to have a good experience in game.
(0049186)
olveld (reporter)
2014-03-17 14:03

@exstinguo: you re right, a vpn is a not very suitable to decrease your latency .
but my experience is, this is no problem. i experience no lags, rubberbanding or disconnects.
i can play like a charm. I dont know how to to meassure my latency inside DayZ, if i could i would test a little bit more. ;-)

Regards
Olli
(0050037)
Trivium (reporter)
2014-03-25 10:11

Is this issue still worked upon?
(0050039)
Accolyte (Bohemia Interactive - manager)
2014-03-25 10:27

Hi,

there were some adjustments made in the recent patch. This issue will probably become more of an ongoing improvement effort as it won't be to "fixed" per se.
(0050049)
pcriddle (reporter)
2014-03-25 11:42

Are you saying this isn't going to be fixed?

One of the biggest issues to this game is trying to get in it, the server list DOS the game and you sit there waiting for a server list that will never appear, sometimes you have to exit the game to force a server list refresh.

Refreshing the list further adds to the problem by chucking you to the other side of the worlds servers which means you then have to refresh again adding further frustration.

Moving from internet to favourites wipes the server list, again you have to wait for the server list to appear, further DOS'ing yourself.

Love the game once in it, but seriously sort this server listing problem please.
(0050060)
Accolyte (Bohemia Interactive - manager)
2014-03-25 12:07

I did not say that it won't be fixed. Only that it will gradually improve and will take some time.
(0051361)
olveld (reporter)
2014-04-16 08:36

I got my Router switched. My ISP installed a brand new Fritzbox 7390 and now, the UDP Flooding does not crash my Router!
But as i wrote , i played for 3 weeks now without having any problems using my VPN.

I wrote a how to on http://www.van-der-velde.net [^]

Regards
Olli
(0051377)
AnarchyBrownies (reporter)
2014-04-17 01:00

Glad I could find this issue to up vote. Just realized that DayZ was doing this today. It has happened a few times to me but I always thought it was related to my internet, then today I was like "I think DayZ is causing this. There's no way it's a coincidence that it always happens when I start up DayZ." Sure enough, you guys confirmed it. This is a pretty big issue in my mind. Hope the gradual improvement is quick gradual and not slow gradual.
(0052200)
Accolyte (Bohemia Interactive - manager)
2014-04-29 15:11

Hey folks,

there were some major changes to netcode and server messaging. Can you please investigate on your end if the situation has improved?

Try the latest experimental build.

Thank you!
(0052273)
Exstinguo (reporter)
2014-04-30 03:39

The experimental servers had passwords. I couldn't test any of the changes.
(0052300)
pcriddle (reporter)
2014-04-30 12:55

No servers (experimental) to be seen or updates.
(0052366)
gump9005 (reporter)
2014-04-30 19:31

I never had a problem loading server lists.

Now with the latest patch...

I can load the whole server list most of the time on the first game startup. If I fail to connect to a server or sometimes just hit refresh the list will not load. To make it work I must restart my game. Sometimes it takes 2-3 restarts to load a server list.
(0053966)
Trivium (reporter)
2014-05-19 17:02

Issue is still present. Very little improvement if any.

@gump9005 ->
NO need to restart the game. If you get no servers in the browser, after several refresh-es, go to main menu and wait 2-3-5 min, so that router can sort out all packets flooding it.

You can monitor it with command prompt by pinging any site.
Usually when it gets flooded you'll see that packets don't reach the site you're pinging, resulting in a "Request timed out". Once you get a nice steady stream of pings then you're good to play again.

Restarting the game doesn't do anything. You just need to wait.. which is the annoying part.
(0053968)
Exstinguo (reporter)
2014-05-19 17:06

@Trivium: Is it still there on the newest experimental? Or what version are you talking about?
(0053969)
Trivium (reporter)
2014-05-19 17:09

This is on stable, latest version 0.44.12800 something
(0053995)
Accolyte (Bohemia Interactive - manager)
2014-05-20 09:34

That is correct, wait for the next version please :)

Note that the the experimental build will likely be updated sooner than stable. I can't give any eta on either at the moment however.
(0054210)
Pyrobors (reporter)
2014-05-22 22:42

Just testet.
Experimental 0.45.124299

Issue still present, even whit disabled SPI Firewall.

"Stateful Packet Inpection Firewall protects your LAN against Denial of Service attacks."
(0054258)
Trivium (reporter)
2014-05-23 14:19

Played this couple if days on Experimental. Issue is still present.
(0054318)
Exstinguo (reporter)
2014-05-24 01:33

Tested as well on Exp 0.45.124299.
Issue is still present, even with Flood Protection turned off in the router configuration.
(0056354)
blackarm (reporter)
2014-06-21 07:05

Tested on Stable 45.124426 and this issue is STILL present. This is game breaking and needs to be fixed now, not a month ago like it was supposed to be... You are effectively DoSing my router and that is NOT okay.

BUMP.
(0056497)
Accolyte (Bohemia Interactive - manager)
2014-06-23 10:07

Hi,

I'm sorry to hear that this issue is still bothering you. One final thing I would ask everyone experiencing this to do is to read the following article.

https://support.steampowered.com/kb_article.php?ref=4487-YUOC-6922 [^]

In case you did what is described in the article and are still experiencing this problem, please let me know!

Thanks!
(0056779)
philophil (reporter)
2014-06-25 12:21

i have the same problem the Steam solution doesnt work! it still disconnects me!
(0056836)
Exstinguo (reporter)
2014-06-26 03:06
edited on: 2014-06-26 12:37

I tried those 3 (the 4th is just funny to me) solutions on Stable 0.45.124426. To create a new string value registry setting absolutely worked for me! I refreshed the server list over and over while simultaneously pinging google.com, and the server list always worked along with the ping test. Very nice to see.
Edit: Used a value of 10000, did not have to decrease it.
Thanks a lot Accolyte!

(0056874)
Dr.Gablehouser (reporter)
2014-06-26 12:34
edited on: 2014-06-26 12:36

I tried number 3 in 0.45 and it worked perfectly fine for me. After having continuesly pressed the refresh butten for about a minute I was still able to speak to my companions over teamspeak without any problems. I used 10000 as value for the regkey.

(0057935)
philophil (reporter)
2014-07-07 00:22

Still the same problem ... the regkey doesent work ...
(0065092)
Ingal (reporter)
2014-09-18 20:35

I've never had this problem before, but with the patch .49 to stable I cant even play dayz anymore...
(0065326)
BlinkingRiki182 (ticket author)
2014-09-20 12:50
edited on: 2014-09-21 20:18

Unfortunately, the regkey CafeRate only decreases the rate with which servers are being found. This doesn't resolve the flooding issue. Any middle grade router will get overwhelmed if more then 2 people are requesting the server list at the same time. Now, I understand this game is in alpha stage but an issue as this shouldn't be hard to fix for an experienced developer. Just get your server list on an SQL database and make the client request it from there, I don't see how this can be more then several days of work.

(0066139)
sandexed (reporter)
2014-09-27 00:48

Was this issue fixed? I am still getting the floods, cant play.

- Issue History
Date Modified Username Field Change
2014-02-17 15:23 BlinkingRiki182 New Issue
2014-02-19 14:03 Accolyte Note Added: 0046589
2014-02-19 14:03 Accolyte Assigned To => Accolyte
2014-02-19 14:03 Accolyte Status new => acknowledged
2014-02-19 14:03 Accolyte Description Updated View Revisions
2014-02-19 14:03 Accolyte Additional Information Updated View Revisions
2014-02-19 14:08 Accolyte Relationship added has duplicate 0007153
2014-02-19 14:29 Accolyte Relationship added has duplicate 0009015
2014-02-19 14:34 Accolyte Relationship added has duplicate 0001340
2014-02-19 15:43 Accolyte Relationship added has duplicate 0008885
2014-02-20 20:22 Exstinguo Note Added: 0046698
2014-02-21 22:23 Exstinguo Note Added: 0046805
2014-02-21 22:24 Exstinguo Note Edited: 0046805 View Revisions
2014-02-21 22:24 Exstinguo Note Edited: 0046805 View Revisions
2014-02-21 22:24 Exstinguo Note Edited: 0046805 View Revisions
2014-02-22 19:13 Junnit Note Added: 0046879
2014-02-22 19:17 Junnit Note Edited: 0046879 View Revisions
2014-02-22 19:18 Junnit Note Edited: 0046879 View Revisions
2014-02-24 10:40 Accolyte Relationship added has duplicate 0002369
2014-02-24 10:52 Accolyte Relationship added has duplicate 0004516
2014-02-28 12:08 Here is Johnny Relationship added related to 0001736
2014-02-28 15:51 Jonno12321 Note Added: 0047541
2014-03-04 21:47 R834 Relationship added has duplicate 0007325
2014-03-05 21:02 olveld Note Added: 0048292
2014-03-06 09:03 pcriddle Note Added: 0048308
2014-03-06 10:55 olveld Note Edited: 0048292 View Revisions
2014-03-07 02:52 pcriddle File Added: 2014-03-07_00001.jpg
2014-03-07 02:53 pcriddle File Added: 2014-03-07_00002.jpg
2014-03-07 02:56 pcriddle Note Edited: 0048308 View Revisions
2014-03-13 15:08 olveld Note Added: 0048966
2014-03-15 18:00 Exstinguo Note Added: 0049114
2014-03-17 11:48 Accolyte Relationship added has duplicate 0009844
2014-03-17 14:03 olveld Note Added: 0049186
2014-03-19 10:18 Crowmorian Relationship added has duplicate 0008765
2014-03-25 10:11 Trivium Note Added: 0050037
2014-03-25 10:27 Accolyte Note Added: 0050039
2014-03-25 11:42 pcriddle Note Added: 0050049
2014-03-25 12:07 Accolyte Note Added: 0050060
2014-03-26 22:03 R834 Relationship added has duplicate 0010241
2014-03-29 11:32 SimRacer7 Note Added: 0050452
2014-03-29 12:08 SimRacer7 Note Edited: 0050452 View Revisions
2014-03-31 14:26 SimRacer7 Note Deleted: 0050452
2014-04-15 15:40 Crowmorian Relationship added has duplicate 0010722
2014-04-16 08:36 olveld Note Added: 0051361
2014-04-17 01:00 AnarchyBrownies Note Added: 0051377
2014-04-29 15:11 Accolyte Note Added: 0052200
2014-04-29 15:11 Accolyte Status acknowledged => reviewed
2014-04-29 15:11 Accolyte Additional Information Updated View Revisions
2014-04-30 03:39 Exstinguo Note Added: 0052273
2014-04-30 12:55 pcriddle Note Added: 0052300
2014-04-30 19:31 gump9005 Note Added: 0052366
2014-05-13 11:56 JStewart Relationship added related to 0011571
2014-05-13 12:04 JStewart Relationship added related to 0007960
2014-05-13 12:07 JStewart Relationship added related to 0008002
2014-05-19 17:02 Trivium Note Added: 0053966
2014-05-19 17:06 Exstinguo Note Added: 0053968
2014-05-19 17:09 Trivium Note Added: 0053969
2014-05-20 09:34 Accolyte Note Added: 0053995
2014-05-22 22:42 Pyrobors Note Added: 0054210
2014-05-22 22:46 R834 Relationship added related to 0011845
2014-05-23 14:19 Trivium Note Added: 0054258
2014-05-24 01:33 Exstinguo Note Added: 0054318
2014-06-21 07:05 blackarm Note Added: 0056354
2014-06-23 10:07 Accolyte Note Added: 0056497
2014-06-23 10:07 Accolyte Status reviewed => feedback
2014-06-24 14:06 JStewart Relationship added has duplicate 0006882
2014-06-24 14:10 JStewart Relationship added has duplicate 0010255
2014-06-25 11:57 Accolyte Relationship added has duplicate 0013199
2014-06-25 12:21 philophil Note Added: 0056779
2014-06-26 03:06 Exstinguo Note Added: 0056836
2014-06-26 12:34 Dr.Gablehouser Note Added: 0056874
2014-06-26 12:36 Dr.Gablehouser Note Edited: 0056874 View Revisions
2014-06-26 12:37 Exstinguo Note Edited: 0056836 View Revisions
2014-07-07 00:22 philophil Note Added: 0057935
2014-09-18 20:35 Ingal Note Added: 0065092
2014-09-20 12:50 BlinkingRiki182 Note Added: 0065326
2014-09-20 12:50 BlinkingRiki182 Status feedback => assigned
2014-09-20 12:52 BlinkingRiki182 Note Edited: 0065326 View Revisions
2014-09-21 20:18 BlinkingRiki182 Note Edited: 0065326 View Revisions
2014-09-27 00:48 sandexed Note Added: 0066139
2014-09-29 12:52 JStewart Relationship added has duplicate 0017464


Copyright © 2000 - 2014 MantisBT Team